Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.internal.services
Class ServiceMessages

    java.lang.Object
      org.apache.tapestry5.ioc.internal.services.ServiceMessages

    public class ServiceMessages

extends java.lang.Object

Method Summary
`static java.lang.String` | `duplicateMethodInClass(MethodSignature ms, ClassFabImpl fab)`
`static java.lang.String` | `extraFilterMethod(MethodSignature sig, java.lang.Class filterInterface, java.lang.Class serviceInterface)`
`static java.lang.String` | `failedCoercion(java.lang.Object input, java.lang.Class targetType, Coercion coercion, java.lang.Throwable cause)`
`static java.lang.String` | `loggingInterceptor(java.lang.String serviceId, java.lang.Class serviceInterface)`
`static java.lang.String` | `missingSymbolCloseBrace(java.lang.String input)`
`static java.lang.String` | `missingSymbolCloseBraceInPath(java.lang.String input, java.lang.String path)`
`static java.lang.String` | `noCoercionFound(java.lang.Class sourceType, java.lang.Class targetType, java.lang.String coercions)`
`static java.lang.String` | `noSuchProperty(java.lang.Class clazz, java.lang.String propertyName)`
`static java.lang.String` | `propertyTypeMismatch(java.lang.String propertyName, java.lang.Class sourceClass, java.lang.Class propertyType, java.lang.Class expectedType)`
`static java.lang.String` | `readFailure(java.lang.String propertyName, java.lang.Object instance, java.lang.Throwable cause)`
`static java.lang.String` | `readNotSupported(java.lang.Object instance, java.lang.String propertyName)`
`static java.lang.String` | `recursiveSymbol(java.lang.String symbolName, java.lang.String path)`
`static java.lang.String` | `registryShutdown(java.lang.String serviceId)`
`static java.lang.String` | `serviceBuildFailure(java.lang.String serviceId, java.lang.Throwable cause)`
`static java.lang.String` | `shutdownListenerError(java.lang.Object listener, java.lang.Throwable cause)`
`static java.lang.String` | `startupFailure(java.lang.Throwable cause)`
`static java.lang.String` | `symbolUndefined(java.lang.String symbolName)`
`static java.lang.String` | `symbolUndefinedInPath(java.lang.String symbolName, java.lang.String path)`
`static java.lang.String` | `threadCleanupError(ThreadCleanupListener listener, java.lang.Throwable cause)`
`static java.lang.String` | `unableToAddConstructor(javassist.CtClass ctClass, java.lang.Throwable cause)`
`static java.lang.String` | `unableToAddField(java.lang.String fieldName, javassist.CtClass ctClass, java.lang.Throwable cause)`
`static java.lang.String` | `unableToAddMethod(MethodSignature signature, javassist.CtClass ctClass, java.lang.Throwable cause)`
`static java.lang.String` | `unableToCreateClass(java.lang.String className, java.lang.Class superClass, java.lang.Throwable cause)`
`static java.lang.String` | `unableToLookupClass(java.lang.String className, java.lang.Throwable cause)`
`static java.lang.String` | `unableToWriteClass(javassist.CtClass ctClass, java.lang.Throwable cause)`
`static java.lang.String` | `unknownObjectProvider(java.lang.String prefix, java.lang.String reference)`
`static java.lang.String` | `unmatchedServiceMethod(MethodSignature sig, java.lang.Class filterInterface)`
`static java.lang.String` | `writeFailure(java.lang.String propertyName, java.lang.Object instance, java.lang.Throwable cause)`
`static java.lang.String` | `writeNotSupported(java.lang.Object instance, java.lang.String propertyName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### unableToAddMethod

    public static java.lang.String unableToAddMethod(MethodSignature signature,
                                                     javassist.CtClass ctClass,
                                                     java.lang.Throwable cause)

### unableToAddConstructor

    public static java.lang.String unableToAddConstructor(javassist.CtClass ctClass,
                                                          java.lang.Throwable cause)

### unableToAddField

    public static java.lang.String unableToAddField(java.lang.String fieldName,
                                                    javassist.CtClass ctClass,
                                                    java.lang.Throwable cause)

### unableToCreateClass

    public static java.lang.String unableToCreateClass(java.lang.String className,
                                                       java.lang.Class superClass,
                                                       java.lang.Throwable cause)

### unableToLookupClass

    public static java.lang.String unableToLookupClass(java.lang.String className,
                                                       java.lang.Throwable cause)

### unableToWriteClass

    public static java.lang.String unableToWriteClass(javassist.CtClass ctClass,
                                                      java.lang.Throwable cause)

### duplicateMethodInClass

    public static java.lang.String duplicateMethodInClass(MethodSignature ms,
                                                          ClassFabImpl fab)

### loggingInterceptor

    public static java.lang.String loggingInterceptor(java.lang.String serviceId,
                                                      java.lang.Class serviceInterface)

### threadCleanupError

    public static java.lang.String threadCleanupError(ThreadCleanupListener listener,
                                                      java.lang.Throwable cause)

### noSuchProperty

    public static java.lang.String noSuchProperty(java.lang.Class clazz,
                                                  java.lang.String propertyName)

### readNotSupported

    public static java.lang.String readNotSupported(java.lang.Object instance,
                                                    java.lang.String propertyName)

### writeNotSupported

    public static java.lang.String writeNotSupported(java.lang.Object instance,
                                                     java.lang.String propertyName)

### readFailure

    public static java.lang.String readFailure(java.lang.String propertyName,
                                               java.lang.Object instance,
                                               java.lang.Throwable cause)

### writeFailure

    public static java.lang.String writeFailure(java.lang.String propertyName,
                                                java.lang.Object instance,
                                                java.lang.Throwable cause)

### propertyTypeMismatch

    public static java.lang.String propertyTypeMismatch(java.lang.String propertyName,
                                                        java.lang.Class sourceClass,
                                                        java.lang.Class propertyType,
                                                        java.lang.Class expectedType)

### extraFilterMethod

    public static java.lang.String extraFilterMethod(MethodSignature sig,
                                                     java.lang.Class filterInterface,
                                                     java.lang.Class serviceInterface)

### unmatchedServiceMethod

    public static java.lang.String unmatchedServiceMethod(MethodSignature sig,
                                                          java.lang.Class filterInterface)

### unknownObjectProvider

    public static java.lang.String unknownObjectProvider(java.lang.String prefix,
                                                         java.lang.String reference)

### shutdownListenerError

    public static java.lang.String shutdownListenerError(java.lang.Object listener,
                                                         java.lang.Throwable cause)

### noCoercionFound

    public static java.lang.String noCoercionFound(java.lang.Class sourceType,
                                                   java.lang.Class targetType,
                                                   java.lang.String coercions)

### recursiveSymbol

    public static java.lang.String recursiveSymbol(java.lang.String symbolName,
                                                   java.lang.String path)

### symbolUndefined

    public static java.lang.String symbolUndefined(java.lang.String symbolName)

### symbolUndefinedInPath

    public static java.lang.String symbolUndefinedInPath(java.lang.String symbolName,
                                                         java.lang.String path)

### missingSymbolCloseBrace

    public static java.lang.String missingSymbolCloseBrace(java.lang.String input)

### missingSymbolCloseBraceInPath

    public static java.lang.String missingSymbolCloseBraceInPath(java.lang.String input,
                                                                 java.lang.String path)

### failedCoercion

    public static java.lang.String failedCoercion(java.lang.Object input,
                                                  java.lang.Class targetType,
                                                  Coercion coercion,
                                                  java.lang.Throwable cause)

### registryShutdown

    public static java.lang.String registryShutdown(java.lang.String serviceId)

### serviceBuildFailure

    public static java.lang.String serviceBuildFailure(java.lang.String serviceId,
                                                       java.lang.Throwable cause)

### startupFailure

    public static java.lang.String startupFailure(java.lang.Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.